﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Private lblHowTo As Label
	Private lv As ListView
	Private Button1 As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("getapp")
	Activity.Title = "AutoStarts - Select an App"
	
	g.SetText("Tap an app you wish to set to auto start.",lblHowTo)
	LoadInstalledApps(lv)

End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean 'Return True to consume the event
	If KeyCode = KeyCodes.KEYCODE_BACK Then
		Button1_Click
		Return True
	End If
End Sub


Sub Button1_Click
	Activity.Finish
	'StartActivity(Main)
	SetAnimation("left_right", "left_right1")
End Sub


Sub lv_ItemClick (Position As Int, Value As Object)
	Dim param As String = Value
	ToastMessageShow("Added... " & Value,False)
	CallSubDelayed2(Main,"AddApp2List",param)
	CallSubDelayed(Main,"SaveApps")
	Button1_Click
End Sub

Private Sub LoadInstalledApps(lv1 As ListView)
	
	Dim lstPackages As List = g.pm.GetInstalledPackages
	Dim icon As BitmapDrawable
	lv1.Clear
	
	For x = 0 To lstPackages.Size - 1
		
		Dim packageStr As String = lstPackages.get(x)
		icon = g.pm.GetApplicationIcon(packageStr)
		lv1.AddTwoLinesAndBitmap2(g.pm.GetApplicationLabel(packageStr),"",icon.Bitmap,packageStr)
		
	Next
	
End Sub



Sub SetAnimation(InAnimation As String, OutAnimation As String)
    Dim r As Reflector
    Dim package As String
    Dim In, out As Int
    package = r.GetStaticField("anywheresoftware.b4a.BA", "packageName")
    In = r.GetStaticField(package & ".R$anim", InAnimation)
    out = r.GetStaticField(package & ".R$anim", OutAnimation)
    r.Target = r.GetActivity
    r.RunMethod4("overridePendingTransition", Array As Object(In, out), Array As String("java.lang.int", "java.lang.int"))
End Sub
