﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private Label1 As Label
	Private Button1 As Button
End Sub



Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("showtext")
End Sub



Sub Activity_Resume

	Select Case True
		Case g.SHOW_ABOUT = True
			Activity.Title = "AutoStarts - About"
			Label1.Text = "About"
		Case g.SHOW_HOWTO = True
			Activity.Title = "AutoStarts - How To"
			Label1.Text = "How To"
	End Select
	
	g.SetText(GetText,Label1)
	

End Sub


Sub Activity_Pause (UserClosed As Boolean)
End Sub


Sub Activity_KeyPress (KeyCode As Int) As Boolean 'Return True to consume the event
	If KeyCode = KeyCodes.KEYCODE_BACK Then
		Button1_Click
		Return True
	End If
End Sub


Sub Button1_Click
	Activity.Finish
	SetAnimation("left_right", "left_right1")
End Sub



Private Sub GetText() As String

	Dim ret As StringBuilder : ret.Initialize
	Select Case True
		Case g.SHOW_ABOUT = True
			ret.Append(CRLF)
			ret.Append("sadLogic's App AutoStarts").Append(CRLF)
			ret.Append("-------------------------------").Append(CRLF)
			ret.Append("(c)sadLogic 2014").Append(CRLF)
			ret.Append("www.sadLogic.com").Append(CRLF)
			ret.Append("-------------------------------").Append(CRLF)
			ret.Append("Select which applications you want To auto start after your device starts up. ")
			ret.Append("You can choose one or multiple apps to auto launch and ")
			ret.Append("start delays can be customized. ")
			ret.Append("sadLogic's AutoStarts works on all devices and it doesn't require root permission.")
	
		Case g.SHOW_HOWTO = True
			ret.Append(CRLF)
			ret.Append("** Use the toggle button at the top left to ")
			ret.Append("turn AutoStarts On OR Off. ** Tap the 'Add' ")
			ret.Append("button at the top left to add App's to the ")
			ret.Append("startup list which is at the bottom of ")
			ret.Append("the screen. ** Long touch the App's on the ")
			ret.Append("startup list to remove them. ** Touch the ")
			ret.Append("'Start Delay' spinner to set the amount of time ")
			ret.Append("before AutoStarts begins to start app's. ")
			ret.Append("** Touch the 'Delay between apps' spinner to set the ")
			ret.Append("ammount of time between the loading of app's.")
			ret.Append("(this has no effect if there is only 1 app)")
				
	End Select
	
	Return ret.ToString

End Sub





Sub SetAnimation(InAnimation As String, OutAnimation As String)
    Dim r As Reflector
    Dim package As String
    Dim In, out As Int
    package = r.GetStaticField("anywheresoftware.b4a.BA", "packageName")
    In = r.GetStaticField(package & ".R$anim", InAnimation)
    out = r.GetStaticField(package & ".R$anim", OutAnimation)
    r.Target = r.GetActivity
    r.RunMethod4("overridePendingTransition", Array As Object(In, out), Array As String("java.lang.int", "java.lang.int"))
End Sub
